package com.gyee.alarm.service.auto;

import com.gyee.alarm.model.auto.ProBasicDeviceStructure;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备结构 服务类
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
public interface IProBasicDeviceStructureService extends IService<ProBasicDeviceStructure> {

    ProBasicDeviceStructure getDeviceStructureByCode(String deviceId, String nodeCode);

    List<ProBasicDeviceStructure> getDeviceStructureByDeviceId(String deviceId);

    List<ProBasicDeviceStructure> getDeviceStructureChildNode(String deviceId, String nodeCode);
}
